%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate pathfinder_simd

Name:           rust-pathfinder_simd
Version:        0.5.2
Release:    2%{?dist}
Summary:        Simple SIMD library

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/pathfinder_simd
Source0:        %{crates_source}
Source1:        https://github.com/servo/pathfinder/raw/pathfinder_simd-v0.5.1/LICENSE-APACHE
Source2:        https://github.com/servo/pathfinder/raw/pathfinder_simd-v0.5.1/LICENSE-MIT

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
A simple SIMD library.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+pf-no-simd-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+pf-no-simd-devel %{_description}

This package contains library source intended for building other packages which
use the "pf-no-simd" feature of the "%{crate}" crate.

%files       -n %{name}+pf-no-simd-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep
cp %{SOURCE1} %{SOURCE2} .

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test -- -- --skip test_f32x4_basic_ops
%endif

%changelog
* Fri Jun 13 2025 bbrucezhang <bbrucezhang@tencent.com> - 0.5.2-2
- Rebuilt for loongarch64

* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.5.2-1
- initial build
